10 REM MODEL ROCKETRY STABILITY DETERMINATION PROGRAM
15 REM COPYRIGHT ESTES INDUSTRIES, 1990
17 PRINT
20 PRINT "STABILITY DETERMINATION PROGRAM"
22 PRINT "BY MICHAEL L. GASPERI"
23 PRINT
25 PRINT "COPYRIGHT ESTES INDUSTRIES 1990. ALL RIGHTS RESERVED."
110 PRINT
120 PRINT "ENTER ALL DIMENSIONS IN INCHES"
130 PRINT
140 PRINT "BODY TUBE DIAMETER :"
150 INPUT D
160 PRINT "BODY TUBE LENGTH :"
170 INPUT L
180 REM BODY MASS
190 M(1)=D*L
200 PRINT "NOSE SHAPE NUMBER"
210 PRINT "1)OGIVE  2)CONE  3)HEMISPHERE :"
220 INPUT I
230 ON I GOTO 240,310,390
240 PRINT "OGIVE NOSE LENGTH :"
250 INPUT N
260 REM NOSE MASS
270 M(2)=.85*D*N
280 REM NOSE MOMENT DISTANCE
290 R(2)=.5*L+.45*N
300 GOTO 440
310 PRINT "CONE NOSE LENGTH :"
320 INPUT N
330 REM NOSE MASS
340 M(2)=.5*D*N
350 REM NOSE MOMENT DISTANCE
360 R(2)=.5*L+.33*N
370 GOTO 440
380 REM HEMISPHERE NOSE LENGTH
390 N=D/2
400 REM NOSE MASS
410 M(2)=.78*D*N
420 REM NOSE MOMENT DISTANCE
430 R(2)=.5*L+.42*N
440 PRINT "FIN ROOT LENGTH :"
450 INPUT Y
460 PRINT "FIN RADIAL WIDTH :"
470 INPUT W
480 PRINT "NUMBER OF FINS (3 OR 4):"
490 INPUT J
500 PRINT "FIN PROFILE SHAPE NUMBER"
510 PRINT "1)TRIANGLE  2)RECTANGLE  3)TAPERED  4)ELLIPTICAL :"
520 INPUT I
530 ON I GOTO 550,580,600,660
540 REM TRIANGLE FIN AMSS
550 M(3)=W*Y
560 GOTO 680
570 REM RECTANGLE FIN MASS
580 M(3)=2*(Y+X)*W
590 GOTO 680
600 PRINT "TAPERED FIN TIP LENGTH :"
610 INPUT X
620 REM TAPERED FIN MASS
630 M(3)=  (Y+X)*W
640 GOTO 680
650 REM ELLIPTICAL FIN MASS
660 M(3)=1.57*Y*W
670 REM ADJUSTMENT FOR 3 FINS
680 IF J=3 THEN M(3)=.87*M(3)
690 PRINT "SWEEP ANGLE (DEGREES) :"
700 INPUT A
710 REM FIN MOMENT DISTANCE
720 R(3)=-.5*L+.5*Y-.5*W*TAN(A/57.3)
730 REM BODY MOMENT DISTANCE
740 R(1)=(M(2)*R(2)+M(3)*R(3))/(M(1)+M(2)+M(3))
750 REM CP FROM NOSE TIP
760 C=N+L/2-R(1)
770 PRINT "CP IS ";C;" INCHES DOWN FROM THE NOSE TIP"
780 PRINT "CG DISTANCE FROM NOSE TIP :"
790 INPUT G
800 REM STABILITY CRITERIA IN CALIBERS
810 S=(C-G)/D
820 PRINT "STABILITY CRITERIA = ";S;" CALIBERS"
870 END
