10 REM ELLIPTICAL FIN DESIGN PROGRAM
15 REM COPYRIGHT ESTES INDUSTRIES, 1990.
20 REM
22 PRINT
25 PRINT "ELLIPTICAL FIN DESIGN PROGRAM"
27 PRINT "BY MICHAEL L. GASPERI"
29 PRINT
30 PRINT "COPYRIGHT ESTES INDUSTRIES 1990.  ALL RIGHTS RESERVED."
35 PRINT
100 REM DEFINE ROUND OFF FUNCTION
110 DEF FNR(Z)=INT(Z*10+.5)/10
120 REM INPUT VALUES
130 PRINT "ROOT LENGTH :"
140 INPUT R
150 PRINT "SWEEP ANGLE (DEGREES) :"
160 INPUT T
170 PRINT "CHORD LENGTH :"
180 INPUT A
190 REM ADJUST INPUT VALUES
200 R=R/2
210 T=(90-T)/180*3.14159
220 REM W = ROOT END X VALUE
230 W=R*COS(T)
240 REM B = ELLIPSE MINOR AXIS
250 B=R*SIN(T)/SQR(1-W*W/A/A)
260 PRINT " X"," Y"
270 REM VALUES FOR FIN BOTTOM
280 FOR X=W TO A STEP .1
290 Y=-B*SQR(1-X*X/A/A)
300 PRINT FNR(X),FNR(Y)
310 NEXT X
320 REM VALUES FOR FIN TOP
330 FOR X=A TO -W  STEP -.1
340 Y=B*SQR(1-X*X/A/A)
350 PRINT FNR(X),FNR(Y)
360 NEXT X
370 END
